#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
enum.py is part of the project PyNeQL
Author: Valérie Hanoka

"""

from aenum import Enum


class LanguagesIso6391(Enum):
    """ List of supported languages with their ISO 639-1:2002 codes."""

    Abkhazian = 'ab'
    Afar = 'aa'
    Afrikaans = 'af'
    Akan = 'ak'
    Albanian = 'sq'
    Amharic = 'am'
    Arabic = 'ar'
    Aragonese = 'an'
    Armenian = 'hy'
    Assamese = 'as'
    Avaric = 'av'
    Avestan = 'ae'
    Aymara = 'ay'
    Azerbaijani = 'az'
    Bambara = 'bm'
    Bashkir = 'ba'
    Basque = 'eu'
    Belarusian = 'be'
    Bengali = 'bn'
    Bihari_languages = 'bh'
    Bislama = 'bi'
    Bosnian = 'bs'
    Breton = 'br'
    Bulgarian = 'bg'
    Burmese = 'my'
    Catalan_Valencian = 'ca'
    Central_Khmer = 'km'
    Chamorro = 'ch'
    Chechen = 'ce'
    Chichewa_Chewa_Nyanja = 'ny'
    Chinese = 'zh'
    Chuvash = 'cv'
    Cornish = 'kw'
    Corsican = 'co'
    Cree = 'cr'
    Croatian = 'hr'
    Czech = 'cs'
    Danish = 'da'
    Divehi_Dhivehi_Maldivian = 'dv'
    Dutch_Flemish = 'nl'
    Dzongkha = 'dz'
    English = 'en'
    Esperanto = 'eo'
    Estonian = 'et'
    Ewe = 'ee'
    Faroese = 'fo'
    Fijian = 'fj'
    Finnish = 'fi'
    French = 'fr'
    Fulah = 'ff'
    Gaelic_Scottish_Gaelic = 'gd'
    Galician = 'gl'
    Ganda = 'lg'
    Georgian = 'ka'
    German = 'de'
    Greek_modern = 'el'
    Guarani = 'gn'
    Gujarati = 'gu'
    Haitian_Haitian_Creole = 'ht'
    Hausa = 'ha'
    Hebrew = 'he'
    Herero = 'hz'
    Hindi = 'hi'
    Hiri_Motu = 'ho'
    Hungarian = 'hu'
    Icelandic = 'is'
    Ido = 'io'
    Igbo = 'ig'
    Indonesian = 'id'
    Interlingua_IALA  = 'ia'
    Interlingue_Occidental = 'ie'
    Inuktitut = 'iu'
    Inupiaq = 'ik'
    Irish = 'ga'
    Italian = 'it'
    Japanese = 'ja'
    Javanese = 'jv'
    Kalaallisut_Greenlandic = 'kl'
    Kannada = 'kn'
    Kanuri = 'kr'
    Kashmiri = 'ks'
    Kazakh = 'kk'
    Kikuyu_Gikuyu = 'ki'
    Kinyarwanda = 'rw'
    Kirghiz_Kyrgyz = 'ky'
    Komi = 'kv'
    Kongo = 'kg'
    Korean = 'ko'
    Kuanyama_Kwanyama = 'kj'
    Kurdish = 'ku'
    Lao = 'lo'
    Latin = 'la'
    Latvian = 'lv'
    Limburgan_Limburger_Limburgish = 'li'
    Lingala = 'ln'
    Lithuanian = 'lt'
    Luba_Katanga = 'lu'
    Luxembourgish_Letzeburgesch = 'lb'
    Macedonian = 'mk'
    Malagasy = 'mg'
    Malay = 'ms'
    Malayalam = 'ml'
    Maltese = 'mt'
    Manx = 'gv'
    Maori = 'mi'
    Marathi = 'mr'
    Marshallese = 'mh'
    Mongolian = 'mn'
    Nauru = 'na'
    Navajo_Navaho = 'nv'
    Ndebele_North = 'nd'
    Ndebele_South = 'nr'
    Ndonga = 'ng'
    Nepali = 'ne'
    Norwegian = 'no'
    Norwegian_Bokmal = 'nb'
    Norwegian_Nynorsk = 'nn'
    Occitan  = 'oc'
    Ojibwa = 'oj'
    Oriya = 'or'
    Oromo = 'om'
    Ossetian_Ossetic = 'os'
    Pali = 'pi'
    Panjabi_Punjabi = 'pa'
    Persian = 'fa'
    Polish = 'pl'
    Portuguese = 'pt'
    Pushto_Pashto = 'ps'
    Quechua = 'qu'
    Romanian_Moldavian_Moldovan = 'ro'
    Romansh = 'rm'
    Rundi = 'rn'
    Russian = 'ru'
    Sami_Northern = 'se'
    Samoan = 'sm'
    Sango = 'sg'
    Sanskrit = 'sa'
    Sardinian = 'sc'
    Serbian = 'sr'
    Shona = 'sn'
    Sichuan_Yi_Nuosu = 'ii'
    Sindhi = 'sd'
    Sinhala_Sinhalese = 'si'
    Slovak = 'sk'
    Slovenian = 'sl'
    Somali = 'so'
    Sotho_Southern = 'st'
    Spanish_Castilian = 'es'
    Sundanese = 'su'
    Swahili = 'sw'
    Swati = 'ss'
    Swedish = 'sv'
    Tagalog = 'tl'
    Tahitian = 'ty'
    Tajik = 'tg'
    Tamil = 'ta'
    Tatar = 'tt'
    Telugu = 'te'
    Thai = 'th'
    Tibetan = 'bo'
    Tigrinya = 'ti'
    Tonga = 'to'
    Tsonga = 'ts'
    Tswana = 'tn'
    Turkish = 'tr'
    Turkmen = 'tk'
    Twi = 'tw'
    Uighur_Uyghur = 'ug'
    Ukrainian = 'uk'
    Urdu = 'ur'
    Uzbek = 'uz'
    Venda = 've'
    Vietnamese = 'vi'
    Volapuk = 'vo'
    Walloon = 'wa'
    Welsh = 'cy'
    Western_Frisian = 'fy'
    Wolof = 'wo'
    Xhosa = 'xh'
    Yiddish = 'yi'
    Yoruba = 'yo'
    Zhuang_Chuang = 'za'
    Zulu = 'zu'

    # Default Language
    DEFAULT = 'en'
